# Cancel Buy Offer

Function:

```
public fun cancel_buy_offer<CURRENCY>(
    ledger: &mut TradeLedger,
    offer_id: ID,
    collection_cap: &CollectionCap,
    clock: &Clock,
    ctx: &mut TxContext
)

```

**Description:**

* Allows a buyer to **cancel their buy offer**.
* The locked payment is **returned to the buyer**.
* The buy offer is updated to **CANCELLED**.

**Validations:**

* Only the **buyer** can cancel the offer.
* The offer must **be open**.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.artinals.com/artinals-protocol/market-module/functions-and-entry-points/cancel-buy-offer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
